/*
 * Copyright 1998-2003 VIA Technologies, Inc. All Rights Reserved.
 * Copyright 2001-2003 S3 Graphics, Inc. All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sub license,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * VIA, S3 GRAPHICS, AND/OR ITS SUPPLIERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */
 
#ifndef __DVI_H__
#define __DVI_H__

//Definition TMDS Device ID register
#define     VT1632_DEVICE_ID_REG        0x02
#define     VT1632_DEVICE_ID            0x92      


#define     GET_DVI_SIZE_BY_SYSTEM_BIOS     0x01
#define     GET_DVI_SIZE_BY_VGA_BIOS        0x02
#define     GET_DVI_SZIE_BY_HW_STRAPPING    0x03

// Definition DVI Panel ID
#define     DVI_PANEL_ID0_640X480       0x00        // Resolution: 640x480,   Channel: single, Dithering: Enable 
#define     DVI_PANEL_ID1_800x600       0x01        // Resolution: 800x600,   Channel: single, Dithering: Enable 
#define     DVI_PANEL_ID1_1024x768      0x02        // Resolution: 1024x768,  Channel: single, Dithering: Enable
#define     DVI_PANEL_ID1_1280x768      0x03        // Resolution: 1280x768,  Channel: single, Dithering: Enable
#define     DVI_PANEL_ID1_1280x1024     0x04        // Resolution: 1280x1024, Channel: dual,   Dithering: Enable
#define     DVI_PANEL_ID1_1400x1050     0x05        // Resolution: 1400x1050, Channel: dual,   Dithering: Enable
#define     DVI_PANEL_ID1_1600x1200     0x06        // Resolution: 1600x1200, Channel: dual,   Dithering: Enable

     
#endif /* __DVI_H__ */
